Blacksn0w Available on Cydia Now

Discussion in 'Jailbreaks and iOS Hacks' started by Maverick1337, Nov 3, 2009.

  1. Maverick1337 macrumors 65816

    Maverick1337

    Joined:
    Nov 4, 2008
    #1
    That's correct. If you're already jailbroken and you want to unlock the new baseband 5.11.07, add the source http://blackra1n.com and when everything finally updates, Blacksn0w will be available. Just follow the directions and you've just unlocked your iPhone with the latest baseband
     
  2. FastangV6 macrumors regular

    FastangV6

    Joined:
    Oct 1, 2007
    #2
    anybody got this working and have a success story to share?
     
  3. erasat macrumors member

    Joined:
    Aug 21, 2009
    #3
    I'm a legit At&T subscriber, but just for the sake of it I wanted to Unlock. Well I saw it in Cydia and tried to install it, but when is doing it, it gives a Size Mismatch error and doesn't complete, I have a 3GS with 3.1.2 and 05.11.07
     
  4. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #4
    Decided to experiment with Blacksn0w (from Cydia) on my old 3G.

    The 3G was Pwned on 3.1.2 and at baseband 3.1.2 (I use AT&T) Put AT&T sim in (didn't want it hacktivated as I sometimes fire up the 3G with AT&T sim to test something)

    Installed fine, after reboot, AT&T came back, along with tethering being installed.

    Guess if I wanted it hacktivated, just re-run it with no sim.

    Geohot knows what he is doing. Just have to borrow a T-Mobile sim to check the unlock.
     
  5. Maverick1337 thread starter macrumors 65816

    Maverick1337

    Joined:
    Nov 4, 2008
    #5
    I did try it with my 3G on 3.1.2 5.11.07 and it installed, knocked me off the network, searched for a little bit, then at&t came back on. My tethering option is still available and works, however I did the MyWi method to get tethering so i dont know if unlocking creates tethering. If anyone has noticed that the tethering option has appeared, please share.
     
  6. GenxBear macrumors newbie

    Joined:
    Nov 3, 2009
    #6
    Works like a charm!

    I just unlocked my iPhone 3GS that I had jailbroken with firmware 3.1.2 a couple of weeks ago. I added http://blackra1n.com to the Cydia sources, then searched for Blacksn0w, installed the package, the signal went off for a couple of minutes, and then I removed my AT&T SIM card, put in my friends T-Mobile card, and after about a minute, I got the T-Mobile icon & made a test call.. no problem. I put back my AT&T card, and back to working on AT&T. Carrier shows as AT&T 5.6 & Version is 3.1.2 (7D11) in my Settings! GeoHot Rocks! :)
     
  7. E3BK macrumors 68020

    E3BK

    Joined:
    Mar 15, 2008
    Location:
    NYC
    #7
    If you've already blackra1n'd a 3gs/5.11.7 do we need to do a clean install of 3.1.2 and blackra1n w/ RC3 before intalling blacksn0w?

    Or can I just install blacksn0w from cydia?
     
  8. Moi un Mouton macrumors 68000

    Joined:
    Mar 18, 2008
    Location:
    Bracknell UK
    #8
    You do need RC3, yes. That's what you'll get from http://blackra1n.com now. Run that on your PC/mac and then run the blackra1n app that it puts on your phone.
     
  9. Night Spring macrumors G5

    Night Spring

    Joined:
    Jul 17, 2008
    #9
    Really? I thought all you had to do was put the blackra1n.com repo into Cydia, and download blacksn0w.
     
  10. Bakakage macrumors 6502

    Joined:
    Jun 18, 2009
    #10
    I never updated blackra1n and used blacksn0w from cydia, and it works fine for me. I dont have another sim to test it out, but I dont have any problems.
     
  11. musico macrumors newbie

    Joined:
    Jul 6, 2008
    #11
    BlackSn0w works with 3.1.2; baseband 5.11.07!!!

    According to some forums and web sources, the blacksn0w tool for 5.11.07 will be available today so I took the chance of reinstalling blacksn0w, indeed, the requirement is already firmware 3.1.2 and 5.11.07 baseband and that's according to the information available at Cydia.

    When I installed it, there was about 5 minutes "Searching..." (for the network) and later on it worked with the network SIM that comes with it.

    It also worked with I installed another SIM... it's successful!
     
  12. loki007420 macrumors member

    Joined:
    Jul 7, 2009
    Location:
    Detroit
    #12
    does blacksn0w work with a 4.26.08? if not what is the best unlock for it?
     
  13. scirica macrumors 68020

    scirica

    Joined:
    May 13, 2008
    Location:
    Dallas, TX
    #13
    Wirelessly posted (Mozilla/5.0 (iPhone; U; CPU iPhone OS 3_1_2 like Mac OS X; en-us) AppleWebKit/528.18 (KHTML, like Gecko) Version/4.0 Mobile/7D11 Safari/528.16)

    Were you jailbroken with pwnage before? Can you just run blacksn0w on any jailbroken 3Gs and unlock or do you need to do the whole blackrain process?
     
  14. E3BK macrumors 68020

    E3BK

    Joined:
    Mar 15, 2008
    Location:
    NYC
    #14
    W00t! Installed blacksn0w. Did not need to reinstall the new version of blackra1n. It was searching for the AT&T signal for a minute or two with my regular AT&T sim but found it just fine.

    Popped in my Orange UK sim and jumped on the T-Mo network with it. Sent myself a text from my GV # and all is good in the unlock world!!

    I was forced to upgrade to BB 5.11.7 a couple weeks ago, so I thought I wouldn't be able to use it when I go to London next week. But..thanks to Geohot, I'm all good. And many many thanks to the Dev Team who has paved this wonderful road.

    Yay for hackers!
     

    Attached Files:

  15. scirica macrumors 68020

    scirica

    Joined:
    May 13, 2008
    Location:
    Dallas, TX
    #15
    congrats! I don't need the unlock, but that has to be a good feeling to get it back!
     
  16. 199708 macrumors 6502

    Joined:
    Jul 5, 2008
    #16
    I have two options, Cydia and Rock, rock sounds like a better deal if I'm not mistaken?

    [​IMG]
     
  17. scirica macrumors 68020

    scirica

    Joined:
    May 13, 2008
    Location:
    Dallas, TX
    #17
    Cydia is the most popular of the installers, but Rock is becoming more popular due to a cleaner interface and quicker loads. They also have a nice back up capability if you sign up for a Rock ID.

    Both will work fine.
     
  18. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #18
    If you are already JB, that's how you unlock
     
  19. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #19
    Ultrasn0w will unlock 4.26.xx, I think Blacksn0w will also.
     
  20. martinmartin macrumors 6502

    Joined:
    Jun 5, 2007
    #20
    Tethering Disappeared

    I upgraded to 3.1.2 from JB 3.0. Then I ran BlackRain, installed Cydia, etc.

    Everything seems to be working OK except for tethering.

    Tethering was working on JB 3.0. After I went to JB 3.1.2, Tethering was there originally, but it disappeared after I selected it to test...

    Any ideas on how to get tethering working??

    Thanks
     
  21. labman macrumors 604

    labman

    Joined:
    Jun 9, 2009
    Location:
    Mich near Detroit
    #21
    From the Dev Team

    I am sure some people with think the Dev team would scare people away and I know some people don't visit there blog. but I copied this from them Dev team to share I think the last part play more into this then anything. donating a few bucks to Geohot is one thing & he doesn't force anybody but to pay somebody never ever ever do that.

    http://blog.iphone-dev.org

    iPhone 3G/3GS owners who found themselves stuck with version 05.11 of the baseband (either by accident or because they bought it that way) are now in luck! geohot was able to turn the already-public at+xemn crash into an injection vector, which can be used to inject his version of the unlock. The blacksn0w unlock is available for free via Cydia by adding the repository http://blackra1n.com in the Manage->Sources panel. Congratulations, geohot!




    Those of you who are already unlocked at 3.1.2 because you kept your 04.26 baseband now have an extra cushion of comfort, and more choices: ultrasn0w, purplesn0w, and now blacksn0w (and of course the original yellowsn0w too if you’re still back at FW 2.x). Whether or not you choose to update your baseband solely to use the new unlock is a personal choice, but so far there are no advantages to doing so (and remember you can’t come back to 04.26 after you’ve gone to 05.11).

    As with all the unlocks, it will probably very soon be re-sold through scam sites that charge you money for what is offered to the community for free. Please stay vigilant for these scam sites and steer your friends away from them.
     
  22. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #22
    Install an IPCC tethering file

    GeoHot twitter --->

    #blacksn0w http://bit.ly/4fkpR9 http://bit.ly/1w0zC5 allows any ipcc to be used, to enable tether, download a carrier pack that contains it
    about 8 hours ago from web
     
  23. martinmartin macrumors 6502

    Joined:
    Jun 5, 2007
    #23
    Thanks for the info.

    I installed Blacksnow (which I hadn't done previously because I thought it was just for the Unlock) and also one of the Benm Tethering Mobile Configs and tethering is working now.

    Thanks again...
     

Share This Page